PV = "5.4+20150915T153245+e8bded0-bs"
SRC_URI = "http://should-already-by-in-dl-dir/qtbase-5.4+20150915T153245+e8bded0-bs.tar.gz"
SRC_URI[md5sum] = "aa72b08deffaab761c07a5b8a3994275"
SRC_URI[sha256sum] = "eb20503a6a5de4070b5a98730d861b18e88c510c86db4cc7db9e837e56fe075d"
require recipes-qt/qt5/qtbase.inc

inherit nfsquick

DEPENDS += "virtual/libgl harfbuzz lttng-ust lttng-ust-gen-tp-native"

export BS_LTTNG

PACKAGECONFIG_DEFAULT = "dbus widgets tools libs"

# Don't build against directfb
PACKAGECONFIG_FB = ""

EXTRA_OECONF += "-no-qml-debug -system-harfbuzz"

LICENSE = "LGPL-3.0"
LIC_FILES_CHKSUM = "file://LICENSE.LGPLv21;md5=d87ae0d200af76dca730d911474cbe5b \
                    file://LICENSE.LGPLv3;md5=ffcfac38a32c9ebdb8ff768fa1702478 \
                    file://LGPL_EXCEPTION.txt;md5=0145c4d1b6f96a661c2c139dfb268fb6 \
                    file://LICENSE.FDL;md5=6d9f2a9af4c8b8c3c769f6cc1b6aaf7e"


do_compile_prepend() {
    if [ "${BS_LTTNG}" = "1" ] && [ -d "${S}/src/gui/trace/" ]; then
       (
          cd ${S}/src/gui/trace;
          if [ -f "qt_gui_tp.tp" ]; then
             lttng-gen-tp qt_gui_tp.tp -o qt_gui_tp.c -o qt_gui_tp.h
          fi
       )
    fi

    if [ "${BS_LTTNG}" = "1" ] && [ -d "${S}/src/platformsupport/trace/" ]; then
       (
          cd ${S}/src/platformsupport/trace;
          if [ -f "qt_platformsupport_tp.tp" ]; then
             lttng-gen-tp qt_platformsupport_tp.tp -o qt_platformsupport_tp.c -o qt_platformsupport_tp.h
          fi
       )
    fi

    if [ "${BS_LTTNG}" = "1" ] && [ -d "${S}/src/plugins/platforms/eglbs/trace/" ]; then
       (
          cd ${S}/src/plugins/platforms/eglbs/trace;
          if [ -f "qt_eglbs_tp.tp" ]; then
             lttng-gen-tp qt_eglbs_tp.tp -o qt_eglbs_tp.c -o qt_eglbs_tp.h
          fi
       )
    fi
}

OE_QMAKE_PATH_PREFIX="/"

PACKAGES =. "${PN}-core ${PN}-xml ${PN}-gui ${PN}-network ${PN}-dbus ${PN}-sql ${PN}-opengl ${PN}-widgets ${PN}-test ${PN}-printsupport "
FILES_${PN}-core = "${libdir}/libQt5Core${SOLIBS}"
FILES_${PN}-xml = "${libdir}/libQt5Xml${SOLIBS}"
FILES_${PN}-gui = "${libdir}/libQt5Gui${SOLIBS}"
FILES_${PN}-network = "${libdir}/libQt5Network${SOLIBS}"
FILES_${PN}-dbus = "${libdir}/libQt5DBus${SOLIBS}"
FILES_${PN}-sql = "${libdir}/libQt5Sql${SOLIBS}"
FILES_${PN}-opengl = "${libdir}/libQt5OpenGL${SOLIBS}"
FILES_${PN}-widgets = "${libdir}/libQt5Widgets${SOLIBS}"
FILES_${PN}-test = "${libdir}/libQt5Test${SOLIBS}"
FILES_${PN}-printsupport = "${libdir}/libQt5PrintSupport${SOLIBS}"

PACKAGES =. "${PN}-plugin-eglbs ${PN}-plugins-unwanted "
FILES_${PN}-plugin-eglbs = "${OE_QMAKE_PATH_PLUGINS}/platforms/libqeglbs.so"
FILES_${PN}-plugins-unwanted = "${OE_QMAKE_PATH_PLUGINS}/platforms/*.so"

LTTNG_CONF = "${@base_conditional('BS_LTTNG', '1', '-lttng', '-no-lttng', d)}"

EXTRA_OECONF = "-no-eglfs -eglbs ${LTTNG_CONF}"

