DESCRIPTION = "Common CA certificates"
HOMEPAGE = "http://packages.debian.org/sid/ca-certificates"
SECTION = "misc"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://debian/copyright;md5=6275b491c91b57d92ebe11205ebf4dfe"

SRC_URI = "${DEBIAN_MIRROR}/main/c/ca-certificates/ca-certificates_${PV}.tar.gz \
           file://remove-c-rehash.patch"

SRC_URI[md5sum] = "f99a90a91b23338b4df765c0d18eba73"
SRC_URI[sha256sum] = "6f0633136d17ffef3ed0adfb171a00136a320f0fd79c9c75733ac02662a754a7"

PR = "r1"

inherit autotools allarch

do_install_prepend() {
        mkdir -p ${D}/usr/share/ca-certificates
        mkdir -p ${D}${sysconfdir}/ssl/certs
	mkdir -p ${D}/usr/sbin
}

do_install_append() {
	# Now convert the mess that installing the package created into a single ca-certificates.crt file.

        sed -i -e 's#^CERTSCONF=.*#CERTSCONF=${D}${sysconfdir}/ca-certificates.conf#' \
	       -e 's#^CERTSDIR=.*#CERTSDIR=${D}/usr/share/ca-certificates#' \
	       -e 's#^LOCALCERTSDIR=.*#LOCALCERTSDIR=${D}/usr/local/share/ca-certificates#' \
	       -e 's#^ETCCERTSDIR=.*#ETCCERTSDIR=${D}/${sysconfdir}/ssl/certs#' ${D}/usr/sbin/update-ca-certificates

        cd ${D}/usr/share/ca-certificates
        echo "# Lines starting with # will be ignored" > ${D}/${sysconfdir}/ca-certificates.conf
        echo "# Lines starting with ! will remove certificate on next update" >> ${D}/${sysconfdir}/ca-certificates.conf
        echo "#" >> ${D}/${sysconfdir}/ca-certificates.conf
        for crt in $(find . -type f -name '*.crt' -print)
        do
                crt=$(echo $crt | sed -e 's/\.\///')
                echo $crt >> ${D}/${sysconfdir}/ca-certificates.conf
        done

	${D}/usr/sbin/update-ca-certificates

	# Clean everything else up to avoid warnings
	rm -rf ${D}/usr ${D}/etc/ssl/certs/*.pem ${D}/${sysconfdir}/ca-certificates.conf
}

FILES_${PN} = "${sysconfdir}/ssl/certs/ca-certificates.crt"
