LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://dhcpcd.c;beginline=6;endline=26;md5=239979d4ee04ad1437286ca7cbab34ff"

SRC_URI = "http://roy.marples.name/downloads/dhcpcd/dhcpcd-${PV}.tar.bz2 \
		file://01-dhcpcd-log \
		file://dhcpcd-6.4.2-syslog-to-stderr.patch \
		file://dhcpcd-6.4.2-reduce-mismatch-spew.patch \
		file://dhcpcd-5.2.8-initial-holdoff.patch \
		file://dhcpcd-6.4.2-fix-interfaces-without-ipv6.patch \
"
SRC_URI[md5sum] = "3ba26bd6e0cd2f973bfbcd3c08ebc93b"
SRC_URI[sha256sum] = "eebb9f9e13b40d47efbb56d8568e54f640bee3337ba45b30b3e47db5b14220b7"

# We don't use dhcpcd's features that require udev so it's better to
# compile without them rather than risking it picking up libudev by
# itself in some builds but not others.
EXTRA_OECONF_append = " --without-udev"

PR = "r2.3"

FILES_${PN}-dbg += "/lib/dhcpcd/dev/.debug"

inherit autotools-brokensep

do_install_append() {
    # We don't want all of dhcpcd's hooks
    find ${D}${libexecdir}/dhcpcd-hooks -type f ! -name '20-resolv.conf' -print -exec rm -f "{}" \;

    # But we do want our debug hook
    install -m 644 ${WORKDIR}/01-dhcpcd-log ${D}${libexecdir}/dhcpcd-hooks/

    # And we'd rather create our own symlink for /var/db
    rmdir ${D}/var/db

    # We don't want dhcpcd's configuration, we will ship our own
    rm ${D}${sysconfdir}/dhcpcd.conf
}

