SUMMARY = "GStreamermm"
DESCRIPTION = "GStreamermm C++ bindings for Gstreamer1.0"
HOMEPAGE = "https://developer.gnome.org/gstreamermm/"
BUGTRACKER = "https://bugzilla.gnome.org/enter_bug.cgi?product=Gstreamermm"
SECTION = "multimedia"
LICENSE = "LGPLv2.1"
DEPENDS = "gstreamer1.0 glibmm gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-bad"

inherit autotools pkgconfig

EXTRA_OECONF = " --disable-documentation "

FILES_${PN} += " ${libdir}/gstreamermm-1.0/*.so"
FILES_${PN}-dev += " ${libdir}/gstreamermm-1.0/*.la ${libdir}/gstreamermm-1.0/*.a"
FILES_${PN}-dbg += " ${libdir}/gstreamermm-1.0/.debug/ ${libexecdir}/gstreamermm-1.0/.debug/"

LIC_FILES_CHKSUM = "file://COPYING;md5=d8045f3b8f929c1cb29a1e3fd737b499 \
                    file://gstreamer/gstreamermm.h;beginline=1;endline=21;md5=bcd33861620b5b6caecd6bb7a4edb927"

SRC_URI = " \
    ftp://ftp.gnome.org/pub/gnome/sources/gstreamermm/1.4/gstreamermm-${PV}.tar.xz \
    "
SRC_URI[md5sum] = "8f6c4b85083308def933eab1433a1865"
SRC_URI[sha256sum] = "f1c11ee1cf7537d77de7f8d486e09c5140cc4bb78882849718cd88959a55462e"
S = "${WORKDIR}/gstreamermm-${PV}"

do_configure() {
oe_runconf
}
